<?php
/*
  $Id: boxes.php,v 1.33 2003/06/09 22:22:50 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  class tableBox {
    var $table_border = '0';
    var $table_width = '100%';
    var $table_cellspacing = '0';
    var $table_cellpadding = '2';
    var $table_parameters = '';
    var $table_row_parameters = '';
    var $table_data_parameters = '';

// class constructor
    function tableBox($contents, $direct_output = false) {
      $tableBox_string = '<table border="' . tep_output_string($this->table_border) . '" width="' . tep_output_string($this->table_width) . '" cellspacing="' . tep_output_string($this->table_cellspacing) . '" cellpadding="' . tep_output_string($this->table_cellpadding) . '"';
      if (tep_not_null($this->table_parameters)) $tableBox_string .= ' ' . $this->table_parameters;
      $tableBox_string .= '>' . "\n";

      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= $contents[$i]['form'] . "\n";
        $tableBox_string .= '  <tr';
        if (tep_not_null($this->table_row_parameters)) $tableBox_string .= ' ' . $this->table_row_parameters;
        if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) $tableBox_string .= ' ' . $contents[$i]['params'];
        $tableBox_string .= '>' . "\n";

        if (isset($contents[$i][0]) && is_array($contents[$i][0])) {
          for ($x=0, $n2=sizeof($contents[$i]); $x<$n2; $x++) {
            if (isset($contents[$i][$x]['text']) && tep_not_null($contents[$i][$x]['text'])) {
              $tableBox_string .= '    <td';
              if (isset($contents[$i][$x]['align']) && tep_not_null($contents[$i][$x]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i][$x]['align']) . '"';
              if (isset($contents[$i][$x]['params']) && tep_not_null($contents[$i][$x]['params'])) {
                $tableBox_string .= ' ' . $contents[$i][$x]['params'];
              } elseif (tep_not_null($this->table_data_parameters)) {
                $tableBox_string .= ' ' . $this->table_data_parameters;
              }
              $tableBox_string .= '>';
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= $contents[$i][$x]['form'];
              $tableBox_string .= $contents[$i][$x]['text'];
              if (isset($contents[$i][$x]['form']) && tep_not_null($contents[$i][$x]['form'])) $tableBox_string .= '</form>';
              $tableBox_string .= '</td>' . "\n";
            }
          }
        } else {
          $tableBox_string .= '    <td';
          if (isset($contents[$i]['align']) && tep_not_null($contents[$i]['align'])) $tableBox_string .= ' align="' . tep_output_string($contents[$i]['align']) . '"';
          if (isset($contents[$i]['params']) && tep_not_null($contents[$i]['params'])) {
            $tableBox_string .= ' ' . $contents[$i]['params'];
          } elseif (tep_not_null($this->table_data_parameters)) {
            $tableBox_string .= ' ' . $this->table_data_parameters;
          }
          $tableBox_string .= '>' . $contents[$i]['text'] . '</td>' . "\n";
        }

        $tableBox_string .= '  </tr>' . "\n";
        if (isset($contents[$i]['form']) && tep_not_null($contents[$i]['form'])) $tableBox_string .= '</form>' . "\n";
      }

      $tableBox_string .= '</table>' . "\n";

      if ($direct_output == true) echo $tableBox_string;

      return $tableBox_string;
    }
  }

  class infoBox extends tableBox {
    function infoBox($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->infoBoxContents($contents));
      $this->table_cellpadding = '0';
      $this->table_parameters = 'class="infoBox"';
      $this->tableBox($info_box_contents, true);
    }

    function infoBoxContents($contents) {
      $this->table_cellpadding = '0';
      $this->table_parameters = 'class="infoBoxContents"';
      $info_box_contents = array();
      //$info_box_contents[] = array(array('text' => tep_draw_separator('pixel_trans.gif', '100%', '1')));
      for ($i=0, $n=sizeof($contents); $i<$n; $i++) {
        $info_box_contents[] = array(array('align' => (isset($contents[$i]['align']) ? $contents[$i]['align'] : ''),
                                           'form' => (isset($contents[$i]['form']) ? $contents[$i]['form'] : ''),
                                           'params' => 'class="boxText"',
                                           'text' => (isset($contents[$i]['text']) ? $contents[$i]['text'] : '')));
      }
      //$info_box_contents[] = array(array('text' => tep_draw_separator('pixel_trans.gif', '100%', '1')));
      return $this->tableBox($info_box_contents);
    }
  }

  class infoBoxHeading extends tableBox {
    function infoBoxHeading($contents, $left_corner = false, $right_corner = false, $right_arrow = false) {
      $this->table_cellpadding = '0';
		$this->table_border='0';
      if ($left_corner == true) {
        $left_corner = tep_image(DIR_WS_IMAGES . 'infobox/corner_left.gif');
      } else {
        $left_corner = tep_draw_separator('pixel_trans.gif', '1', '23');//tep_image(DIR_WS_IMAGES . 'infobox/corner_right_left.gif');
      }
     /* if ($right_arrow == true) {
        $right_arrow = '<a href="' . $right_arrow . '">' . tep_image(DIR_WS_IMAGES . 'infobox/arrow_right.gif', ICON_ARROW_RIGHT) . '</a>';
      } else {*/
        $right_arrow = '';
     // }
      if ($right_corner == true) {
        $right_corner = $right_arrow . tep_image(DIR_WS_IMAGES . 'infobox/corner_right.gif');
      } else {
        $right_corner = '';//$right_arrow . tep_draw_separator('pixel_trans.gif', '1', '23');
      }

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => 'height="23" width="2" class="infoBoxHeading"',
                                         'text' => $left_corner),
                                   array('params' => 'width="100%" height="23" class="infoBoxHeading" style="padding-left:5px;" align="left"',
                                         'text' => $contents[0]['text']),
                                   array('params' => 'height="23" width="2" class="infoBoxHeading" nowrap',
                                         'text' => $right_corner));

      $this->tableBox($info_box_contents, true);
    }
  }
  
  
  class infoBoxHeading1 extends tableBox {
    function infoBoxHeading1($contents, $left_corner = false, $right_corner = false, $right_arrow = false) {
      $this->table_cellpadding = '0';
		$this->table_border='0';
      if ($left_corner == true) {
        $left_corner = tep_image(DIR_WS_IMAGES . 'infobox/left_corner_block.gif');
      } else {
        $left_corner = tep_draw_separator('pixel_trans.gif', '1', '26');//tep_image(DIR_WS_IMAGES . 'infobox/corner_right_left.gif');
      }
     /* if ($right_arrow == true) {
        $right_arrow = '<a href="' . $right_arrow . '">' . tep_image(DIR_WS_IMAGES . 'infobox/arrow_right.gif', ICON_ARROW_RIGHT) . '</a>';
      } else {*/
        $right_arrow = '';
     // }
      if ($right_corner == true) {
        $right_corner = $right_arrow . tep_image(DIR_WS_IMAGES . 'infobox/right_corner_block.gif');
      } else {
        $right_corner = '';$right_arrow . tep_draw_separator('pixel_trans.gif', '1', '26');
      }

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => 'height="26" class="infoBoxHeading1"',
                                         'text' => $left_corner),
                                   array('params' => 'width="100%" height="26" class="infoBoxHeading1" align="left"',
                                         'text' => $contents[0]['text']),
                                   array('params' => 'height="26" class="infoBoxHeading1" nowrap',
                                         'text' => $right_corner));

      $this->tableBox($info_box_contents, true);
    }
  }
  
  class infoBoxCategoriesHeading extends tableBox {
    function infoBoxCategoriesHeading($contents, $left_corner = false, $right_corner = false, $right_arrow = false) {
      $this->table_cellpadding = '0';
		$this->table_border='0';
      if ($left_corner == true) {
        $left_corner = tep_image(DIR_WS_IMAGES . 'infobox/corner_left_cat.gif');
      } else {
        $left_corner = '';//tep_draw_separator('pixel_trans.gif', '1', '20');//tep_image(DIR_WS_IMAGES . 'infobox/corner_right_left.gif');
      }
     /* if ($right_arrow == true) {
        $right_arrow = '<a href="' . $right_arrow . '">' . tep_image(DIR_WS_IMAGES . 'infobox/arrow_right.gif', ICON_ARROW_RIGHT) . '</a>';
      } else {*/
        $right_arrow = '';
     // }
      if ($right_corner == true) {
        $right_corner = $right_arrow . tep_image(DIR_WS_IMAGES . 'infobox/corner_right_cat.gif');
      } else {
        $right_corner = '';
		//$right_arrow . tep_draw_separator('pixel_trans.gif', '1', '26');
      }

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => 'height="20" class="infoBoxCategoriesHeading"',
                                         'text' => $left_corner),
                                   array('params' => 'width="100%" height="20" class="infoBoxCategoriesHeading" align="left"',
                                         'text' => $contents[0]['text']),
                                   array('params' => 'height="20" class="infoBoxCategoriesHeading" nowrap',
                                         'text' => $right_corner));

      $this->tableBox($info_box_contents, true);
    }
  }
  
  class infoHeaderHeading extends tableBox {
    function infoHeaderHeading($contents, $left_corner = false, $right_corner = false, $right_arrow = false) {
      $this->table_cellpadding = '0';
		$this->table_border='0';
      if ($left_corner == true) {
        $left_corner = tep_image(DIR_WS_IMAGES . 'infobox/corner_left.gif');
      } else {
        $left_corner = tep_draw_separator('pixel_trans.gif', '1', '26');//tep_image(DIR_WS_IMAGES . 'infobox/corner_right_left.gif');
      }
     /* if ($right_arrow == true) {
        $right_arrow = '<a href="' . $right_arrow . '">' . tep_image(DIR_WS_IMAGES . 'infobox/arrow_right.gif', ICON_ARROW_RIGHT) . '</a>';
      } else {*/
        $right_arrow = '';
     // }
      if ($right_corner == true) {
        $right_corner = $right_arrow . tep_image(DIR_WS_IMAGES . 'infobox/corner_right.gif');
      } else {
        $right_corner = '';$right_arrow . tep_draw_separator('pixel_trans.gif', '1', '26');
      }

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => 'width="100%" height="" class="infoHeaderHeading" align="left"',
                                         'text' => $contents[0]['text']));

      $this->tableBox($info_box_contents, true);
    }
  }

  class contentBox extends tableBox {
    function contentBox($contents) {
      $info_box_contents = array();
      $info_box_contents[] = array('text' => $this->contentBoxContents($contents));
      $this->table_cellpadding = '0';
	  
      $this->table_parameters = 'class="infoBox"';
      $this->tableBox($info_box_contents, true);
    }

    function contentBoxContents($contents) {
      $this->table_cellpadding = '0';
	  $this->table_border = '0';
      $this->table_parameters = 'class="infoBoxContents"';
      return $this->tableBox($contents);
    }
  }

  class contentBoxHeading extends tableBox {
    function contentBoxHeading($contents) {
      $this->table_width = '100%';
      $this->table_cellpadding = '0';

      $info_box_contents = array();
      $info_box_contents[] = array(
                                   array('params' => 'height="28" class="infoBoxHeading" width="100%"',
                                         'text' => $contents[0]['text'])
                                   );

      $this->tableBox($info_box_contents, true);
    }
  }


class infoBoxFooter extends tableBox {
    function infoBoxFooter($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
      $this->table_cellpadding = '0';
	  $this->table_border = '0';
		if ($left_corner == true) {
        $left_corner = tep_image(DIR_WS_IMAGES . 'infobox/corner_bot_left.gif');
      } else {
        $left_corner = tep_draw_separator('pixel_trans.gif', '1', '3');//tep_image(DIR_WS_IMAGES . 'infobox/corner_right_left.gif');
      }
     /* if ($right_arrow == true) {
        $right_arrow = '<a href="' . $right_arrow . '">' . tep_image(DIR_WS_IMAGES . 'infobox/arrow_right.gif', ICON_ARROW_RIGHT) . '</a>';
      } else {*/
        $right_arrow = '';
     // }
      if ($right_corner == true) {
        $right_corner = $right_arrow . tep_image(DIR_WS_IMAGES . 'infobox/corner_bot_right.gif');
      } else {
        $right_corner = $right_arrow . tep_draw_separator('pixel_trans.gif', '1', '3');
      }

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => 'width="3" height="3" ',
                                         'text' => $left_corner),
                                   array('params' => 'width="100%" height="3"  align="left" background="images/infobox/bot_bg.gif"',
                                         'text' => '<img src="images/infobox/bot_bg.gif" width="1" height="3" alt="" />'),
                                   array('params' => ' width="3" height="3" ',
                                         'text' => $right_corner));

      $this->tableBox($info_box_contents, true);
     }
  }
  
  
  class infoBoxCategoriesFooter extends tableBox {
    function infoBoxCategoriesFooter($contents, $left_corner = true, $right_corner = true, $right_arrow = false) {
      $this->table_cellpadding = '0';
	  $this->table_border = '0';
		if ($left_corner == true) {
        $left_corner = tep_image(DIR_WS_IMAGES . 'infobox/left_bot_corner_cat.gif');
      } else {
        $left_corner = tep_draw_separator('pixel_trans.gif', '1', '3');//tep_image(DIR_WS_IMAGES . 'infobox/corner_right_left.gif');
      }
     /* if ($right_arrow == true) {
        $right_arrow = '<a href="' . $right_arrow . '">' . tep_image(DIR_WS_IMAGES . 'infobox/arrow_right.gif', ICON_ARROW_RIGHT) . '</a>';
      } else {*/
        $right_arrow = '';
     // }
      if ($right_corner == true) {
        $right_corner = $right_arrow . tep_image(DIR_WS_IMAGES . 'infobox/right_bot_corner_cat.gif');
      } else {
        $right_corner = $right_arrow . tep_draw_separator('pixel_trans.gif', '1', '3');
      }

      $info_box_contents = array();
      $info_box_contents[] = array(array('params' => 'width="3" height="3" ',
                                         'text' => $left_corner),
                                   array('params' => 'width="100%" height="3"  align="left" background="images/infobox/bot_cat_bg.gif"',
                                         'text' => '<img src="images/infobox/bot_bg.gif" width="1" height="3" alt="" />'),
                                   array('params' => ' width="3" height="3" ',
                                         'text' => $right_corner));

      $this->tableBox($info_box_contents, true);
     }
  }
  
  class errorBox extends tableBox {
    function errorBox($contents) {
      $this->table_data_parameters = 'class="errorBox"';
      $this->tableBox($contents, true);
    }
  }

  class productListingBox extends tableBox {
    function productListingBox($contents) {
      $this->table_parameters = 'class="productListing"';
      $this->tableBox($contents, true);
    }
  }
?>
