<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
<table border="0" width="765" height="259" cellspacing="0" cellpadding="0" style="margin-bottom:1px; ">
<tr>
	<td width="339">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			<tr>
				<td height="72"><img src="images/logo.jpg" width="339" height="72" border="0" alt="logo" /></td>
			</tr>
			<tr>
				<td width="340" height="187" style="background:url(images/search_bg.jpg) no-repeat">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
						<tr>
							<td width="50%" align="left" valign="top" style="padding-top:15px; padding-left:10px; "><?php  require(DIR_WS_BOXES . 'menu.php'); ?></td>
							<td width="50%" align="left" valign="top" style="padding-top:25px; ">
<ul class="topmenu">
  	<li><a href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>" class="atopmenu">About Us</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_SPECIALS) ?>" class="atopmenu">Specials</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_ADVANCED_SEARCH) ?>" class="atopmenu">Advanced Search</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_CREATE_ACCOUNT) ?>" class="atopmenu">Create an account</a></li>
	<li><a href="<?php echo tep_href_link(FILENAME_LOGIN) ?>" class="atopmenu">Customer login</a></li>
  </ul>

							</td>
						</tr>
						<tr>
							<td width="50%" height="65" valign="top" align="left" style="padding-left:10px; "><?php  require(DIR_WS_BOXES . 'manufacturers.php'); ?></td>
							<td width="50%" height="65"  valign="top" align="left" ><?php  require(DIR_WS_BOXES . 'search.php'); ?></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</td>
	<td width="426">
		<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
			<tr>
				<td height="60" valign="bottom">
					<table border="0" cellpadding="0" cellspacing="0" width="100%" height="46" style="margin-bottom:14px; ">
						<tr>
							<td width="33%" align="left"><?php   if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
   										    include(DIR_WS_BOXES . 'currencies.php');
																					  } ?></td>
							<td width="33%" valign="bottom" style="padding-bottom:4px; "><?php  if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
										    include(DIR_WS_BOXES . 'languages.php');} ?></td>
							<td width="33%" valign="bottom" align="left"><?php require(DIR_WS_BOXES . 'shopping_cart.php'); ?></td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td width="426" height="199"><object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="426" height="199">
                  <param name="movie" value="../images/header.swf">
                  <param name="quality" value="high">
                  <embed src="../images/header.swf" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="426" height="199"></embed>
			    </object></td>
			</tr>
		</table>
	</td>
</tr>
</table>
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>
